<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>cz.mantlik</groupId>
    <artifactId>advent-of-code</artifactId>
    <version>1.0-SNAPSHOT</version>

    <properties>
        <maven.compiler.target>1.8</maven.compiler.target>
        <maven.compiler.source>1.8</maven.compiler.source>
        <puzzle-utils-version>1.0-SNAPSHOT</puzzle-utils-version>
        <junit-version>4.13.1</junit-version>
        <hamcrest-version>1.3</hamcrest-version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>cz.mantlik</groupId>
            <artifactId>puzzle-utils</artifactId>
            <version>${puzzle-utils-version}</version>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit-version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.hamcrest</groupId>
            <artifactId>hamcrest-all</artifactId>
            <version>${hamcrest-version}</version>
            <scope>test</scope>
        </dependency>
    </dependencies>
    
</project>